summaryrefslogtreecommitdiffstats
path: root/network/wp-cli
diff options
context:
space:
mode:
Diffstat (limited to 'network/wp-cli')
-rw-r--r--network/wp-cli/README11
-rw-r--r--network/wp-cli/files/LICENSE21
-rw-r--r--network/wp-cli/files/wp-completion.bash23
-rw-r--r--network/wp-cli/slack-desc19
-rw-r--r--network/wp-cli/wp-cli.SlackBuild65
-rw-r--r--network/wp-cli/wp-cli.info10
6 files changed, 149 insertions, 0 deletions
diff --git a/network/wp-cli/README b/network/wp-cli/README
new file mode 100644
index 0000000000..8371a06419
--- /dev/null
+++ b/network/wp-cli/README
@@ -0,0 +1,11 @@
+WP-CLI is a set of command-line tools for managing WordPress
+installations.
+
+WP-CLI need phar extension to build and to work
+
+Enable the phar extension in your php.ini and
+disable the readonly setting for the phar extension:
+ Set phar.readonly to Off
+
+Also disable open_basedir
+because likely to cause errors with wp-cli
diff --git a/network/wp-cli/files/LICENSE b/network/wp-cli/files/LICENSE
new file mode 100644
index 0000000000..017ee0bf17
--- /dev/null
+++ b/network/wp-cli/files/LICENSE
@@ -0,0 +1,21 @@
+The MIT License (MIT)
+
+Copyright (C) 2011-2019 WP-CLI Development Group (https://github.com/wp-cli/wp-cli/contributors)
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+THE SOFTWARE.
diff --git a/network/wp-cli/files/wp-completion.bash b/network/wp-cli/files/wp-completion.bash
new file mode 100644
index 0000000000..9df572b6d6
--- /dev/null
+++ b/network/wp-cli/files/wp-completion.bash
@@ -0,0 +1,23 @@
+# bash completion for the `wp` command
+
+_wp_complete() {
+ local OLD_IFS="$IFS"
+ local cur=${COMP_WORDS[COMP_CWORD]}
+
+ IFS=$'\n'; # want to preserve spaces at the end
+ local opts="$(wp cli completions --line="$COMP_LINE" --point="$COMP_POINT")"
+
+ if [[ "$opts" =~ \<file\>\s* ]]
+ then
+ COMPREPLY=( $(compgen -f -- $cur) )
+ elif [[ $opts = "" ]]
+ then
+ COMPREPLY=( $(compgen -f -- $cur) )
+ else
+ COMPREPLY=( ${opts[*]} )
+ fi
+
+ IFS="$OLD_IFS"
+ return 0
+}
+complete -o nospace -F _wp_complete wp
diff --git a/network/wp-cli/slack-desc b/network/wp-cli/slack-desc
new file mode 100644
index 0000000000..4687cb903d
--- /dev/null
+++ b/network/wp-cli/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wp-cli: wp-cli (A command line interface for WordPress)
+wp-cli:
+wp-cli: WP-CLI is a set of command-line tools for managing WordPress
+wp-cli: installations.
+wp-cli:
+wp-cli: http://wp-cli.org
+wp-cli:
+wp-cli:
+wp-cli:
+wp-cli:
+wp-cli:
diff --git a/network/wp-cli/wp-cli.SlackBuild b/network/wp-cli/wp-cli.SlackBuild
new file mode 100644
index 0000000000..e68654632f
--- /dev/null
+++ b/network/wp-cli/wp-cli.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/bash
+#
+# Slackware build script for wp-cli
+#
+# Copyright 2016-2023 Corrado Franco (https://corradofranco.it)
+# All rights reserved.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+#
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wp-cli
+VERSION=${VERSION:-2.10.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+
+install -Dm755 $CWD/$PRGNAM-$VERSION.phar $PKG/usr/bin/wp
+
+# Install bash completion
+install -Dm644 $CWD/files/wp-completion.bash $PKG/usr/share/bash-completion/completions/wp
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/files/LICENSE $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/wp-cli/wp-cli.info b/network/wp-cli/wp-cli.info
new file mode 100644
index 0000000000..d8b1e3338f
--- /dev/null
+++ b/network/wp-cli/wp-cli.info
@@ -0,0 +1,10 @@
+PRGNAM="wp-cli"
+VERSION="2.10.0"
+HOMEPAGE="http://wp-cli.org/"
+DOWNLOAD="https://github.com/wp-cli/wp-cli/releases/download/v2.10.0/wp-cli-2.10.0.phar"
+MD5SUM="6710e90c3ed173925acd35ce5fe5aaf9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="composer"
+MAINTAINER="Corrado Franco"
+EMAIL="conraid (at) linux (dot) it"